# Preparing a bathymetric map from 4 TM bands
#
# The connected images are as follows:-
#
# @1 is DOPMASK1.GIF
# @2 is DOPMASK2.GIF
# @3 is DOPMASK3.GIF
# @4 is DOPMASK4.GIF
#
# @5 is TMBATHY1.GIF
# @6 is TMBATHY2.GIF
# @7 is TMBATHY3.GIF
# @8 is TMBATHY4.GIF

const k1 = 0.0797;
const A1 = 4.9236;
const L1deepmean = 53;

(A1 - ln(@5 - L1deepmean)) / (2 * k1) * 10 *@1 ;

const k2 = 0.0963;
const A2 = 3.9872;
const L2deepmean = 13;

(A2 - ln(@6 - L2deepmean)) / (2 * k2) * 10 *@2 ;

const k3 = 0.4196;
const A3 = 4.6234;
const L3deepmean = 9;

(A3 - ln(@7 - L3deepmean)) / (2 * k3) * 10 *@3 ;

const k4 = 1.4722;
const A4 = 3.6376;
const L4deepmean = 4;

(A4 - ln(@8 - L4deepmean)) / (2 * k4) * 10 *@4 ;






